<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.10.0" doxygen_gitid="GIT-NOTFOUND">
  <compound kind="file">
    <name>klfbackend.h</name>
    <path>src/klfbackend/</path>
    <filename>klfbackend_8h.html</filename>
    <class kind="class">KLFBackend</class>
    <class kind="struct">KLFBackend::klfSettings</class>
    <class kind="struct">KLFBackend::klfInput</class>
    <class kind="struct">KLFBackend::klfOutput</class>
    <class kind="class">KLFBackend::TemplateGenerator</class>
    <class kind="class">KLFBackend::DefaultTemplateGenerator</class>
    <class kind="class">KLFAbstractLatexMetaInfo</class>
    <class kind="class">KLFImageLatexMetaInfo</class>
    <class kind="class">KLFPdfmarksWriteLatexMetaInfo</class>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_NOERROR</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a7f569f204c45a15edc2657eaa745e7e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_TEMPDIR_FAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>ad18a9117e7d1ab9cad2a496da88e11c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_MISSINGLATEXFORMULA</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>ad9dfbf18b5598a0773c328a0fffcca9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_MISSINGMATHMODETHREEDOTS</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a248f06a700fca70d9c5e8d51ae9d7ba2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_TEXWRITEFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>aec84398921831c0e8fd7225eeae3f814</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_LATEX_NORUN</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a39f14becdb851223199a4947372769ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_NOLATEXPROG</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a38afea86287eb01cb0cb691603e13894</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_LATEX_NONORMALEXIT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>accbe371e29ed19d4ee357851198a3137</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_LATEXNONORMALEXIT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a8ef0170795eca20f416e35a10f8f52ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_LATEX_NOOUTPUT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a1d089f500652046af7755ab5eb821403</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_NODVIFILE</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>ad2b233633890c6e9d0ba23aaa8149463</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_LATEX_OUTPUTREADFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a37d1cfb4ca3609fabc4d3a3becbafed2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_DVIREADFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a711a93ee914217b36213f77043fcdcdd</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_DVIPS_NORUN</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a51b3eaeb7e34a7999d7d432f6393d430</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_NODVIPSPROG</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a470607cb6a6bcc28ce10545fe02079df</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_DVIPS_NONORMALEXIT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a5ef5ed85456e3615ac27e6bddf93a479</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_DVIPSNONORMALEXIT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a7ca1cb969276bfafa466ea3f3f308c79</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_DVIPS_NOOUTPUT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>ad13da724c3aebf89763078a0dc5a3ffd</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_NOEPSFILE</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>ac6d363f0be549cbac36274e5ebe8db89</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_DVIPS_OUTPUTREADFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a3d6825e95c8c039ee531e34253ec2633</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_EPSREADFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a9f756f8529ed0788547d6d6851db71e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_DVIPS_OUTPUTNOBBOX</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a4ede5fb4622c398bf9a1043882acec4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_NOEPSBBOX</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a2aecf9b6f147c44612dd7aa2ef183d01</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSBBOX_NORUN</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a36357e8296fe564f764d85163e83cb2a</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSBBOX_NONORMALEXIT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a6842aaf9c7dcba902226c5a31c932d8e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSBBOX_NOOUTPUT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a1da4303bd62effe5f8eb34cbf82965f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSBBOX_NOBBOX</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a314f3c179dafde87b3d115eb25e95e06</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPOSTPROC_NORUN</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a3e6ddb668a1aed3a19e761a145c579b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPOSTPROC_NONORMALEXIT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a1e38c37a1f744df84874f525d4d4fc71</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPOSTPROC_NOOUTPUT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a07d9e0fccd49094ab8516d8e14553ad6</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPOSTPROC_NOOUTLINEFONTS</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>acfbbbe0a4654fa91fa1563109daed30d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_NOEPSFILE_OF</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>ac8c3b164e765062b309c328f14ea27d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPOSTPROC_OUTPUTREADFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>ae78b0356cd7ebf04838242ffd4176c77</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_EPSREADFAIL_OF</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a7020e04d258a7ed67abb19f80de99f6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPNG_NORUN</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a72a68d934070dee720395f508292415f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_NOGSPROG</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>ad8d1bcdd0be1279937a02e7f8afc1b01</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPNG_NONORMALEXIT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a09d5560c69cb8481788f81c485a9e38a</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSNONORMALEXIT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a007842200975475a0ecb7b09483a87e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPNG_NOOUTPUT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a556227091d14954eb3b8474aed5546fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_NOPNGFILE</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>ac8f319f3d3310ac299e42f41054833cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPNG_OUTPUTREADFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a5c40613261617b05218fede0c7612911</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PNGREADFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a914e04a8cadbd85de7b9841b1e6f7ef0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PDFMARKSWRITEFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a9073624da546492d9eca2488a46b77d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPDF_NORUN</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a8c05d834ec0d07e79b137f5865a39ae2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPDF_NONORMALEXIT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a90c2c3c33ab83f14b8c8f71faf706ff0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_EPSTOPDFNONORMALEXIT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a22297ef18a92928c53faaad253422eb4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPDF_NOOUTPUT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a0f0f8e54090e0741eefca9d296742046</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_NOPDFFILE</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a572d75a6559bf71bc547f4906269ba47</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSPDF_OUTPUTREADFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>aa584bc068e4dce8b9de0ba52381d7ee9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PDFREADFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a31e154b294da44cf9864536522c6831b</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_NOGSVERSION</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>abd145c10f316e3eb3cafd4eff745f008</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSSVG_NOSVG</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>ae3ac29b75fd79f5b91d1c3d0b63ac4ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSSVG_NORUN</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a42d75a502aa7cb8a2f5d641e8e6ca336</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSSVG_NONORMALEXIT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a22766787adf915837b559919ad78b976</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSSVG_NOOUTPUT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a428db514b3cd7dd01f70d25c3f40768b</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_GSSVG_OUTPUTREADFAIL</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a910569cb23a8a2d08ffd27900106ba82</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_USERSCRIPT_NORUN</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a5a97cfae947000744ee6c56274e968c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PROGERR_LATEX</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a22df4876d3eaa1e1c940787ad7503e8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PROGERR_DVIPS</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a83d5975a2ed447ce887a94832899f99b</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PROGERR_GSBBOX</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>aa794186d80f0cda7464ad37c06677edb</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PROGERR_GSPOSTPROC</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a0e6cfbe42fdb79f20e1a8b029f219ff4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PROGERR_GS_OF</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>aa1b142921cf901009530ece29f7b15fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PROGERR_GSPNG</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a3870c7f9fe94152948619ffb288ba1aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PROGERR_GS</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>aa74a3ed09a0a2dd5e92fa5146c542546</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PROGERR_GSPDF</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a280132a6038886e8744b3504b9a3e616</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PROGERR_EPSTOPDF</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a8ce6707dc26a115c965ca4452789ec74</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PROGERR_GSSVG</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>adf995cbba74d8ea1fccf77eec7afe199</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KLFERR_PROGERR_USERSCRIPT</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a4739dfae2f8bf5e77a59b6d30307b74e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>KLF_EXPORT bool</type>
      <name>operator==</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>a98859cc3412e577b98998f8d123d3ce4</anchor>
      <arglist>(const KLFBackend::klfInput &amp;a, const KLFBackend::klfInput &amp;b)</arglist>
    </member>
    <member kind="function">
      <type>KLF_EXPORT bool</type>
      <name>klf_detect_execenv</name>
      <anchorfile>klfbackend_8h.html</anchorfile>
      <anchor>ab438362fbb331110e4f43892420f5d50</anchor>
      <arglist>(KLFBackend::klfSettings *settings)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>klfblockprocess.h</name>
    <path>src/klfbackend/</path>
    <filename>klfblockprocess_8h.html</filename>
    <class kind="class">KLFBlockProcess</class>
  </compound>
  <compound kind="class">
    <name>KLFBackend::DefaultTemplateGenerator</name>
    <filename>class_k_l_f_backend_1_1_default_template_generator.html</filename>
    <base>KLFBackend::TemplateGenerator</base>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>generateTemplate</name>
      <anchorfile>class_k_l_f_backend_1_1_default_template_generator.html</anchorfile>
      <anchor>aa8e370cb2c261f0d450853c31d6b1e12</anchor>
      <arglist>(const klfInput &amp;input, const klfSettings &amp;settings)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFAbstractLatexMetaInfo</name>
    <filename>class_k_l_f_abstract_latex_meta_info.html</filename>
  </compound>
  <compound kind="class">
    <name>KLFBackend</name>
    <filename>class_k_l_f_backend.html</filename>
    <class kind="class">KLFBackend::DefaultTemplateGenerator</class>
    <class kind="struct">KLFBackend::klfInput</class>
    <class kind="struct">KLFBackend::klfOutput</class>
    <class kind="struct">KLFBackend::klfSettings</class>
    <class kind="class">KLFBackend::TemplateGenerator</class>
    <member kind="function" static="yes">
      <type>static klfOutput</type>
      <name>getLatexFormula</name>
      <anchorfile>class_k_l_f_backend.html</anchorfile>
      <anchor>a50ec963532fb214d00ca5df2cda5242a</anchor>
      <arglist>(const klfInput &amp;in, const klfSettings &amp;settings, bool isMainThread=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>availableSaveFormats</name>
      <anchorfile>class_k_l_f_backend.html</anchorfile>
      <anchor>a07d409e787ef375f293a69bb06e44de7</anchor>
      <arglist>(const klfOutput *output=NULL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>availableSaveFormats</name>
      <anchorfile>class_k_l_f_backend.html</anchorfile>
      <anchor>aef3e65b280b1533efae745127c08e723</anchor>
      <arglist>(const klfOutput &amp;output)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>saveOutputToFile</name>
      <anchorfile>class_k_l_f_backend.html</anchorfile>
      <anchor>a8945ab04480a4c3b14573a4d19614f32</anchor>
      <arglist>(const klfOutput &amp;output, const QString &amp;fileName, const QString &amp;format=QString(), QString *errorString=NULL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>saveOutputToDevice</name>
      <anchorfile>class_k_l_f_backend.html</anchorfile>
      <anchor>a676d5ecc1d222de4833674cfe78aef83</anchor>
      <arglist>(const klfOutput &amp;output, QIODevice *device, const QString &amp;format=QString(&quot;PNG&quot;), QString *errorString=NULL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>detectSettings</name>
      <anchorfile>class_k_l_f_backend.html</anchorfile>
      <anchor>a31234c9dd0933109bc9cf078edb5e9c3</anchor>
      <arglist>(klfSettings *settings, const QString &amp;extraPath=QString(), bool isMainThread=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>detectOptionSettings</name>
      <anchorfile>class_k_l_f_backend.html</anchorfile>
      <anchor>a16a9012c31707b46642651fabe1e3408</anchor>
      <arglist>(klfSettings *settings, bool isMainThread=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>userScriptSettingsToEnvironment</name>
      <anchorfile>class_k_l_f_backend.html</anchorfile>
      <anchor>ab1c307d28f5841029658aeaac92fb80f</anchor>
      <arglist>(const QMap&lt; QString, QString &gt; &amp;userScriptSettings)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFBackendEngineUserScriptInfo</name>
    <filename>class_k_l_f_backend_engine_user_script_info.html</filename>
    <base>KLFUserScriptInfo</base>
    <member kind="function">
      <type>QStringList</type>
      <name>spitsOut</name>
      <anchorfile>class_k_l_f_backend_engine_user_script_info.html</anchorfile>
      <anchor>a44744fb7a1cb0bcf3dba585c035d2049</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>skipFormats</name>
      <anchorfile>class_k_l_f_backend_engine_user_script_info.html</anchorfile>
      <anchor>ad9ddd63fc97028cc9745c1f75c63ce48</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>disableInputs</name>
      <anchorfile>class_k_l_f_backend_engine_user_script_info.html</anchorfile>
      <anchor>aec9824d2956053f4da3f72adc6a6b284</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>inputFormUI</name>
      <anchorfile>class_k_l_f_backend_engine_user_script_info.html</anchorfile>
      <anchor>a556bd69716a11cea61594bab29c6e55f</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFBlockProcess</name>
    <filename>class_k_l_f_block_process.html</filename>
    <base>QProcess</base>
    <member kind="slot">
      <type>bool</type>
      <name>startProcess</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>ae1df5fbbf5ff8fbacdac51cd58d67e63</anchor>
      <arglist>(QStringList cmd, QByteArray stdindata, QStringList env=QStringList())</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>startProcess</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>a696ef0aa8dfeb3543bb34e5373b43e4c</anchor>
      <arglist>(QStringList cmd, QStringList env=QStringList())</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>readStderrString</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>aa32510d8b70b8e4d14df7ad9278353f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>readStdoutString</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>a58130eedbe2112ecd23a397cbaeae70a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KLFBlockProcess</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>acb66118cd2109eab4bb2fde75aa2f5ca</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KLFBlockProcess</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>afe628126e8d11324974fef1331304120</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProcessAppEvents</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>a9ef79fad7f0f967d76f26d269eb01729</anchor>
      <arglist>(bool processAppEvents)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>getAllStderr</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>ae0a49872c57645cc90522bf412e36f2c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>getAllStdout</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>aff55359fa4352e58c91880eb793c1ec4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>processNormalExit</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>aa90aa9cecc3f1e244f4bc780d9a2871d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>processExitStatus</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>abc364b5630f990f2e66f301a983b193f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>getInterpreterPath</name>
      <anchorfile>class_k_l_f_block_process.html</anchorfile>
      <anchor>af976ec8e0b0eaaa4c8e14a438db5dff5</anchor>
      <arglist>(const QString &amp;ext)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFContLatexPreview</name>
    <filename>class_k_l_f_cont_latex_preview.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>bool</type>
      <name>setInput</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>ad7c8bb5f7541104a3c1c4b34ad2377c2</anchor>
      <arglist>(const KLFBackend::klfInput &amp;input)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>setSettings</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>abaf207c6777a09883bd936cacb305b84</anchor>
      <arglist>(const KLFBackend::klfSettings &amp;settings, bool disableExtraFormats=true)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>setPreviewSize</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>af0a17f2129f767ab1843a775498cdf6a</anchor>
      <arglist>(const QSize &amp;previewSize)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>setLargePreviewSize</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>a21111c4cc0f261a8659a7188d6fe3edb</anchor>
      <arglist>(const QSize &amp;largePreviewSize)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>previewReset</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>a533bfb06d870dd39c93526cd34c35066</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>outputAvailable</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>a26b3bbc411650d89a7bcd628fd187c77</anchor>
      <arglist>(const KLFBackend::klfOutput &amp;output)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>previewAvailable</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>a4a06dc1b5614fe29458e2326cfe8d084</anchor>
      <arglist>(const QImage &amp;preview, const QImage &amp;largePreview, const QImage &amp;fullPreview)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>previewImageAvailable</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>abe4342296d594fd667a58b15928aca84</anchor>
      <arglist>(const QImage &amp;preview)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>previewLargeImageAvailable</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>a920be833d6e0c2b3f05884bc7d3fff61</anchor>
      <arglist>(const QImage &amp;largePreview)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>previewFullImageAvailable</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>aa0f64f07c771d66efd71785b47da9670</anchor>
      <arglist>(const QImage &amp;fullPreview)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>previewError</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>a8658a1f69152d5848ab1119d4ea1085b</anchor>
      <arglist>(const QString &amp;errorString, int errorCode)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>compiling</name>
      <anchorfile>class_k_l_f_cont_latex_preview.html</anchorfile>
      <anchor>aaa6a657131fd0c6446a85ead8418e1fc</anchor>
      <arglist>(bool isCompiling)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFFilterProcess</name>
    <filename>class_k_l_f_filter_process.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setOutputStdout</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>ae63aa1cbd9a6d433915003e1f1d1a927</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOutputStderr</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>a56f57f26a1d233b2d84d4a1417099966</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>collectStdoutTo</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>aa7e3b6558cdbc1b246a43337598763fb</anchor>
      <arglist>(QByteArray *stdoutstore)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>collectStderrTo</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>a18983b9bcec7db8717e9c9b8d0a70f7b</anchor>
      <arglist>(QByteArray *stderrstore)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>processAppEvents</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>a651fbbdfbe9f3532beb1792a66a8ffd7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProcessAppEvents</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>ade64eccabcfe2b01e3127bf619a9b639</anchor>
      <arglist>(bool processEvents)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>exitStatus</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>aa98c0f1ba7809469a13129ad197a463d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>exitCode</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>a0edc8a7681802df33943ad09f4689d5c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>resultStatus</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>a99e01748c13488020627ef7038fbb30b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>resultErrorString</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>a82273873a90b7a5771202705b7307d15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>run</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>aa560915f92082e020e589c72825697d9</anchor>
      <arglist>(const QByteArray &amp;indata, const QMap&lt; QString, QByteArray * &gt; outdatalist)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>do_run</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>a322e5176581d4e0edd10bf7f6cd2b462</anchor>
      <arglist>(const QByteArray &amp;indata, const QMap&lt; QString, QByteArray * &gt; outdatalist)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QByteArray</type>
      <name>collectedStdout</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>a39dd278a91493d556cf68ec8dff1a275</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QByteArray</type>
      <name>collectedStderr</name>
      <anchorfile>class_k_l_f_filter_process.html</anchorfile>
      <anchor>a625dc6e7fbd561adddc63e1a8073078e</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFImageLatexMetaInfo</name>
    <filename>class_k_l_f_image_latex_meta_info.html</filename>
    <base>KLFAbstractLatexMetaInfo</base>
  </compound>
  <compound kind="struct">
    <name>KLFBackend::klfInput</name>
    <filename>struct_k_l_f_backend_1_1klf_input.html</filename>
    <member kind="function">
      <type></type>
      <name>klfInput</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_input.html</anchorfile>
      <anchor>abe388093aeaaa471869271ac49b58e8d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>latex</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_input.html</anchorfile>
      <anchor>a17102586ca54616702c1e1729ece30b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>mathmode</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_input.html</anchorfile>
      <anchor>a5d09daaf4146eb1a702c975d0bbc7906</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>preamble</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_input.html</anchorfile>
      <anchor>ad51c201782c035af1e0394751c258f0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>fontsize</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_input.html</anchorfile>
      <anchor>ab7ee7c4207480fbac746789b137c53a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned long</type>
      <name>bg_color</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_input.html</anchorfile>
      <anchor>adb13a8430a942df4287d95d6a192653e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>dpi</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_input.html</anchorfile>
      <anchor>a02e122fa10b1f19c3f9ce3bc24a264b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>vectorscale</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_input.html</anchorfile>
      <anchor>a6dfb93370b35924956b3593a006784b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>bypassTemplate</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_input.html</anchorfile>
      <anchor>a51352de2938f0a26c433766a88e98717</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>userScript</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_input.html</anchorfile>
      <anchor>af7d94b138dede10a174454792d8bd3e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>userScriptParam</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_input.html</anchorfile>
      <anchor>a1f7810552e25629cbe9c227f178102b9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFLatexPreviewHandler</name>
    <filename>class_k_l_f_latex_preview_handler.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>latexPreviewReset</name>
      <anchorfile>class_k_l_f_latex_preview_handler.html</anchorfile>
      <anchor>a21f845f57696271029fca172c04eeb2f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>latexOutputAvailable</name>
      <anchorfile>class_k_l_f_latex_preview_handler.html</anchorfile>
      <anchor>acd40a31caaa6c16930eb78af69cb7671</anchor>
      <arglist>(const KLFBackend::klfOutput &amp;output)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>latexPreviewAvailable</name>
      <anchorfile>class_k_l_f_latex_preview_handler.html</anchorfile>
      <anchor>a5a7765a41ed4ec867ceaa515774937a5</anchor>
      <arglist>(const QImage &amp;preview, const QImage &amp;largePreview, const QImage &amp;fullPreview)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>latexPreviewImageAvailable</name>
      <anchorfile>class_k_l_f_latex_preview_handler.html</anchorfile>
      <anchor>a2ad473a39e0b5f718ebfcd0dd35f78aa</anchor>
      <arglist>(const QImage &amp;preview)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>latexPreviewLargeImageAvailable</name>
      <anchorfile>class_k_l_f_latex_preview_handler.html</anchorfile>
      <anchor>a505ed08d6f9d00e789094e799d57d0f1</anchor>
      <arglist>(const QImage &amp;largePreview)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>latexPreviewFullImageAvailable</name>
      <anchorfile>class_k_l_f_latex_preview_handler.html</anchorfile>
      <anchor>aaf5439c6366294fe559e38e9e181f1bd</anchor>
      <arglist>(const QImage &amp;fullPreview)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>latexPreviewError</name>
      <anchorfile>class_k_l_f_latex_preview_handler.html</anchorfile>
      <anchor>a9fd01dd1fdc48801e6e7dccf2e7029da</anchor>
      <arglist>(const QString &amp;errorString, int errorCode)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFLatexPreviewThread</name>
    <filename>class_k_l_f_latex_preview_thread.html</filename>
    <base>QThread</base>
  </compound>
  <compound kind="struct">
    <name>KLFBackend::klfOutput</name>
    <filename>struct_k_l_f_backend_1_1klf_output.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>status</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>a2f3dc60c63b25f458cce4df449733f49</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>errorstr</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>af7d4b5dfa59cf1384081e29a1d5c491a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QImage</type>
      <name>result</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>aaeee2de111e09d6d5d9572918639ff77</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>klfInput</type>
      <name>input</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>a32b2421f683e1bd7984c80eb8c48c60e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>klfSettings</type>
      <name>settings</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>a041d983f7c192616d8a4efa5cc35fcbe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>dvidata</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>aea035e107b2a5f9cf57b772f63def2c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>pngdata_raw</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>a8fd9118e5ed1a9b4af59ae246bf17ca3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>pngdata</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>a2c8cd68ce7a8716287bf112aa430538f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>epsdata_raw</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>a1ed07ff119afe560b61f8ada535fb83a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>epsdata_bbox</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>a225d3a5d48d3a659ef1ca4637abaa695</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>epsdata</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>a6654e7bd5989e80aa84d5481589c7244</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>pdfdata</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>a0e716a96f5942615dd0f66389b1c3bb3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>svgdata</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>ad5963edf67c1c31f74e4f6892a9c9547</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>width_pt</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>aa53ad61cb68d620008c43f3835670626</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>height_pt</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_output.html</anchorfile>
      <anchor>a05641f772d7e921658284c5d7a6c2c4e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFPdfmarksWriteLatexMetaInfo</name>
    <filename>class_k_l_f_pdfmarks_write_latex_meta_info.html</filename>
    <base>KLFAbstractLatexMetaInfo</base>
    <member kind="function">
      <type>void</type>
      <name>savePDFField</name>
      <anchorfile>class_k_l_f_pdfmarks_write_latex_meta_info.html</anchorfile>
      <anchor>add2b97081b5e59c3d346cc3ca905a095</anchor>
      <arglist>(const QString &amp;k, const QString &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>loadField</name>
      <anchorfile>class_k_l_f_pdfmarks_write_latex_meta_info.html</anchorfile>
      <anchor>a302467fe346e8609be9fd16ceb1287dc</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KLFBackend::klfSettings</name>
    <filename>struct_k_l_f_backend_1_1klf_settings.html</filename>
    <member kind="function">
      <type></type>
      <name>klfSettings</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a0f9772d48a0667dfd500b4b2b467ef7c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>tempdir</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a51727552a64fde1e7fe53d0271d2f291</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>latexexec</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>acfee1bafbdba573b999f04428e7f7399</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>dvipsexec</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a8a03951c44d6981a09a8d59a0e3fa68e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>gsexec</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a8b2e71c7380d58757c39adf1aab8e17d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>epstopdfexec</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a648a1f06754e427a6290fba35aea3234</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>tborderoffset</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a4bdc65863aa9f94cb9d06279d7515ba2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>rborderoffset</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>aca567a871f16201cbc23bc7ae11b7233</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>bborderoffset</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a370b088528d20f3d667797223cb22be7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>lborderoffset</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>ad5c50c85346bb6aa7b65d5c4837b6108</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>calcEpsBoundingBox</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a11d87a94b3c0dbc2991beffdde50d260</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>outlineFonts</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a0bfb56b7bc2df33aae15803a3c7159e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>wantRaw</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>ad808829f2dbd2de635f4150f9874f0de</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>wantPDF</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a468ef99bc01e25b370a066ac7aecf594</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>wantSVG</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a659c281a1939acaa1387f95d2889cb1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>execenv</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a3ccd06dd8db01276c2a70096fcf406ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TemplateGenerator *</type>
      <name>templateGenerator</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>ad330bfa282edf352f95d93d428e7defd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>userScriptInterpreters</name>
      <anchorfile>struct_k_l_f_backend_1_1klf_settings.html</anchorfile>
      <anchor>a1f4128a11cba67c0cbb1f90c28521f8c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFUserScriptFilterProcess</name>
    <filename>class_k_l_f_user_script_filter_process.html</filename>
    <base>KLFFilterProcess</base>
    <member kind="function">
      <type></type>
      <name>KLFUserScriptFilterProcess</name>
      <anchorfile>class_k_l_f_user_script_filter_process.html</anchorfile>
      <anchor>af7061caa87ab7935279a3e69583f944a</anchor>
      <arglist>(const QString &amp;scriptFileName, const KLFBackend::klfSettings *settings=NULL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>getUserScriptLogHtml</name>
      <anchorfile>class_k_l_f_user_script_filter_process.html</anchorfile>
      <anchor>a1e154f6c7e6f7592aae6af7349e3cabc</anchor>
      <arglist>(bool include_head=true)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>do_run</name>
      <anchorfile>class_k_l_f_user_script_filter_process.html</anchorfile>
      <anchor>a89236c464a9e63fb818f96bee276d517</anchor>
      <arglist>(const QByteArray &amp;indata, const QMap&lt; QString, QByteArray * &gt; outdatalist)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFUserScriptInfo</name>
    <filename>class_k_l_f_user_script_info.html</filename>
    <base>KLFAbstractPropertizedObject</base>
    <member kind="enumeration">
      <type></type>
      <name>Properties</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>a4740edfc45486df0a6b8426fec14b0a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CategorySpecificXmlConfig</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>a4740edfc45486df0a6b8426fec14b0a9a07c805ea8cc336574686bd38417d33c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CategorySpecificXmlConfig</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>a4740edfc45486df0a6b8426fec14b0a9a07c805ea8cc336574686bd38417d33c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KLFUserScriptInfo</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>ac2affa58df4504f187cad9ea37d373e7</anchor>
      <arglist>(const QString &amp;userScriptPath)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userScriptPath</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>a054942c92ca9a97f0ee313fc13984674</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userScriptName</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>a52a0c01787dfbdca1843a70612fc20ae</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userScriptBaseName</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>a9ea0a2f246cad6fbe65cea01a056d240</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>settingsFormUI</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>a4d119e862ba2b6d0f0c84c07d22223bc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>htmlInfo</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>a7be23393940e396fd587c1959cbc0a9a</anchor>
      <arglist>(const QString &amp;extra_css=QString()) const</arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>scriptInfo</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>a2435afa708ef72297ebf88e36cf521c2</anchor>
      <arglist>(const QString &amp;key) const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>scriptInfosList</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>a74754d7aeabf4805722062264352890c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QByteArray</type>
      <name>categorySpecificXmlConfig</name>
      <anchorfile>class_k_l_f_user_script_info.html</anchorfile>
      <anchor>adaffb58a91789627ad351ef9b14f180a</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KLFBackend::TemplateGenerator</name>
    <filename>class_k_l_f_backend_1_1_template_generator.html</filename>
  </compound>
  <compound kind="page">
    <name>pageUserScript</name>
    <title>User Scripts</title>
    <filename>page_user_script.html</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>KLFBackend Library</title>
    <filename>index.html</filename>
  </compound>
</tagfile>
